Skip to content

Rename or recolor a folder

PATCH/v1/folders/{folderId}
Authorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequired

Bearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.

Path parameters
folderIdstringrequired
Request body
requiredapplication/json
namestring

1 to 300 characters, unique per account ignoring case.

colorstring | null

A palette color, or null to clear it.

Allowed:grayredorangeambergreentealbluevioletpinknull
Responses
200

Folder updated

idstringrequired
namestringrequired
colorstring | nullrequired
Allowed:grayredorangeambergreentealbluevioletpinknull
kindstringrequired
Allowed:manualsmart
cardCountnumberrequired

Cards in the folder that are not archived or in Trash.

createdAtnumberrequired
updatedAtnumberrequired
404

Folder not found

409

A folder with this name exists

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://teakvault.com/api/v1/folders/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "gray"
}'
Response
{
  "id": "string",
  "name": "string",
  "color": "gray",
  "kind": "manual",
  "cardCount": 0,
  "createdAt": 0,
  "updatedAt": 0
}

Was this page helpful?